Subject: Re: bug#22557: 25.0.90; Saving a buffer under auto-revert turns off file notifications

From: Michael Albinus <[email-masked]>
Date: Mon, 08 Feb 2016 11:02:22 +0100

Eli Zaretskii <[email-masked]> writes:

>> This is also the case in other tests, see the comments in
>> file-notify-test02-events. I'll try to verify this, and adjust the
>> expected events for file-notify-test07-backup on MS Windows.
>
> OK, thanks.  Let me know if you need any help in these matters.

I've fixed this in the emacs-25 branch. Surprisingly, the remote case
shows also two `changed' events when backing up by copying. Maybe this
is a sign that Tramp's implementation could be optimized, dunno. When
time permits I'll debug.

kqueue does not keep file notification when backing up by rename. That's
expected, because it cannot watch whole directories for changes. Maybe
I'll drop a short not in the manual.

Best regards, Michael.